> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get summary metrics for multiple validators

> This endpoint returns various metrics for all validators or the ones staked to by a specified stake authority.



## OpenAPI

````yaml get /v1/solana/validators
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/validators:
    get:
      tags:
        - Solana Overview
      summary: Get summary metrics for multiple validators
      description: >-
        This endpoint returns various metrics for all validators or the ones
        staked to by a specified stake authority.
      operationId: validator_summaries_v1_solana_validators_get
      parameters:
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 15
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: stakeAuthority
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stakeauthority
        - name: sortBy
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SortByField'
            description: Network penetration, Raver, delegator APY or vote latency
            default: networkPenetration
          description: Network penetration, Raver, delegator APY or vote latency
        - name: sortOrder
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/SortOrder'
            default: desc
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__12
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    SortByField:
      type: string
      enum:
        - networkPenetration
        - raver
        - delegatorApy
        - latency
        - country
        - city
        - hostingProvider
      title: SortByField
    SortOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortOrder
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__12:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $defs:
              TimeWindow:
                type: string
                enum:
                  - 1d
                  - 7d
                  - 30d
                  - all
                title: TimeWindow
            properties:
              validatorIdentity:
                type: string
                title: Validatoridentity
              voteAccount:
                type: string
                title: Voteaccount
              timeWindow:
                $ref: '#/components/schemas/TimeWindow'
              name:
                type: string
                title: Name
              validatorApy:
                anyOf:
                  - type: number
                  - type: string
                title: Validatorapy
              delegatorApy:
                anyOf:
                  - type: number
                  - type: string
                title: Delegatorapy
              voteCommissionRate:
                anyOf:
                  - type: number
                  - type: string
                title: Votecommissionrate
              mevCommissionRate:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Mevcommissionrate
              totalStake:
                anyOf:
                  - type: number
                  - type: string
                title: Totalstake
              networkPenetration:
                anyOf:
                  - type: number
                  - type: string
                title: Networkpenetration
              effectiveness:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Effectiveness
              stakeAccountCount:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Stakeaccountcount
              voteLatency:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Votelatency
              jitoPriorityFeeCommissionRate:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Jitopriorityfeecommissionrate
            type: object
            required:
              - validatorIdentity
              - voteAccount
              - timeWindow
              - name
              - validatorApy
              - delegatorApy
              - voteCommissionRate
              - mevCommissionRate
              - totalStake
              - networkPenetration
              - effectiveness
              - stakeAccountCount
              - voteLatency
              - jitoPriorityFeeCommissionRate
            title: SolanaValidatorSummary
            examples:
              - delegatorApy: 0.05
                effectiveness: 0.984
                jitoPriorityFeeCommissionRate: 0.05
                mevCommissionRate: 0.05
                name: name
                networkPenetration: 0.24
                stakeAccountCount: 100
                timeWindow: 30d
                validatorApy: 0.05
                validatorIdentity: validatorIdentity
                validatorName: validatorName
                voteAccount: voteAccount
                voteCommissionRate: 0.05
                voteLatency: 2.984
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1SolanaValidatorSummary
      examples:
        - next: https://api.rated.network//v1/solana/validators?limit=10&offset=30
          pages: 10
          previous: https://api.rated.network//v1/solana/validators?limit=10&offset=10
          results:
            - - delegatorApy: 0.05
                effectiveness: 0.984
                jitoPriorityFeeCommissionRate: 0.05
                mevCommissionRate: 0.05
                name: name
                networkPenetration: 0.24
                stakeAccountCount: 100
                timeWindow: 30d
                validatorApy: 0.05
                validatorIdentity: validatorIdentity
                validatorName: validatorName
                voteAccount: voteAccount
                voteCommissionRate: 0.05
                voteLatency: 2.984
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````